import { initDefaultColor } from '../Transformers';

describe('initDefaultColor', () => {
    test('adds fill color to the svg tag without style attribute', () => {
        expect(initDefaultColor('<svg>')).toEqual('<svg style="fill: #000000;">');
    });
    test('adds fill color to the svg tag to existing style attribute', () => {
        expect(initDefaultColor('<svg style="font-weight: bold;">')).toEqual(
            '<svg style="font-weight: bold; fill: #000000;">'
        );
    });
    test('does not add fill color if there is any color', () => {
        expect(initDefaultColor('<svg><circle style="fill: #a1a1a1;"/></svg>')).toEqual(
            '<svg><circle style="fill: #a1a1a1;"/></svg>'
        );
    });
});
